Core - Task # 52407

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Ernesto Baschny Category: Install Tool
Created: 2013-09-30 Assigned To: Ernesto Baschny
Updated: 2013-10-01 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Folder not writeable should be an "Error" not a "Warning"

Description

The Install Tool checks for permissions in it's folder structure. Currently if files cannot be written to a directory this is considered a

Warning. Thus it is not displayed with a "red badge" in the main menu of the Install Tool.

But not being able to write to typo3temp, uploads or fileadmin might cause several other places to fail. Thus we should rise this status

message to "Error" instead.

Associated revisions

Revision 6f1bbb33 - 2013-09-30 23:01 - Ernesto Baschny

[TASK] Folder not writeable should be an "Error" not a "Warning"

The Install Tool checks for permissions in it's folder structure. A
folder (typo3temp, uploads, fileadmin) not being writeable now is an
Error and not only a Warning thus displaying a red badge in the Install

Tool main menu.

Resolves: #52407

Releases: 6.2

Change-Id: I6de5f2eace4ecdf089848efbf063a82302aea093
Reviewed-on: https://review.typo3.org/24180

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2013-09-30 20:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24180

#2 - 2013-09-30 22:45 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24180

#3 - 2013-09-30 23:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6f1bbb3302b6aec3f83f5cd792bba8e20deb729d.

#4 - 2013-10-01 00:50 - Christian Kuhn
- Parent task set to #49162
